Package ru.bgcrm.dao.process

# Class ProcessTypeDAO

java.lang.Object
ru.bgcrm.dao.CommonDAO
ru.bgcrm.dao.process.ProcessTypeDAO

public class ProcessTypeDAO extends CommonDAO

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bgcrm.dao.CommonDAO

  `CommonDAO.ObjectExtractor<T>, CommonDAO.RecordUpdater<T extends Id>`

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.dao.CommonDAO

  `con, log, SQL_AND, SQL_DELETE, SQL_DELETE_FROM, SQL_DESC, SQL_DISTINCT, SQL_FROM, SQL_GROUP_BY, SQL_INNER_JOIN, SQL_INSERT_IGNORE_INTO, SQL_INSERT_INTO, SQL_LEFT_JOIN, SQL_LIMIT, SQL_ON_DUP_KEY_UPDATE, SQL_ORDER_BY, SQL_REPLACE, SQL_SELECT, SQL_SELECT_ALL_FROM, SQL_SELECT_COUNT_ROWS, SQL_SET, SQL_UNION_ALL, SQL_UPDATE, SQL_VALUES, SQL_VALUES_1, SQL_VALUES_2, SQL_VALUES_3, SQL_VALUES_4, SQL_VALUES_5, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcessTypeDAO(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `checkProcessTypeForDelete(int id)`
  true если каталог пуст и можно удалять
  `boolean`
  `checkType(int id, int parentId, String title)`
  Проверяет наличие в родительском типе дочернего с указанным названием.
  `void`
  `copyTypeProperties(int fromTypeId, int toTypeId)`
  Copy process type properties.
  `boolean`
  `deleteProcessType(int id)`
  Удаляет тип процесса.
  `List<ProcessType>`
  `getFullProcessTypeList()`
  Возвращает список всех типов процессов с сортировкой по наименованию.
  `ProcessType`
  `getProcessType(int id)`
  Выбирает тип процесса по коду.
  `List<Status>`
  `getProcessTypeStatusList(ProcessType type)`
  Deprecated.
  `List<Status>`
  `getSortedProcessTypeStatusList(ProcessType type, List<Integer> sortingId)`
  Deprecated.
  `List<ProcessType>`
  `getTypeChildren(int parentId, Set<Integer> excludeIds)`
  `void`
  `searchProcessType(Pageable<ProcessType> result, int parentId, String filterLike)`
  Searches process types
  `void`
  `updateProcessType(ProcessType processType, int userId)`
  Updates or creates a process type entity.
  `void`
  `updateTypeProperties(ProcessType type)`
  Обновляет свойства типа процесса.

  ### Methods inherited from class ru.bgcrm.dao.CommonDAO

  `deleteById, foundRows, getById, getGroupedIds, getGroupedIds, getIds, getIds, getPageLimit, getPeriodSql, lastInsertId, setPeriodParamValue, setRecordCount, update, updateColumn, updateIds, updateIds, updateOrInsert`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProcessTypeDAO

    public ProcessTypeDAO(Connection con)

- ## Method Details

  - ### searchProcessType

    public void searchProcessType(Pageable<ProcessType> result, int parentId, String filterLike) throws Exception
    Searches process types
    Parameters:
      `result` - the result
      `parentId` - when greater 0 - filter by parent type id
      `filterLike` - when not `null` or empty, SQL LIKE expression to filter by ID, title, or config
    Throws:
      `Exception`

  - ### getProcessType

    public ProcessType getProcessType(int id) throws Exception
    Выбирает тип процесса по коду.
    Parameters:
      `id` -
    Returns:
    Throws:
      `Exception`

  - ### getTypeChildren

    public List<ProcessType> getTypeChildren(int parentId, Set<Integer> excludeIds) throws Exception
    Throws:
      `Exception`

  - ### getFullProcessTypeList

    public List<ProcessType> getFullProcessTypeList() throws SQLException
    Возвращает список всех типов процессов с сортировкой по наименованию.
    Returns:
    Throws:
      `SQLException`

  - ### getSortedProcessTypeStatusList

    @Deprecated public List<Status> getSortedProcessTypeStatusList(ProcessType type, List<Integer> sortingId)
    Deprecated.
    Use `ProcessTypeCache`

  - ### getProcessTypeStatusList

    @Deprecated public List<Status> getProcessTypeStatusList(ProcessType type)
    Deprecated.
    Use `ProcessTypeCache`

  - ### updateProcessType

    public void updateProcessType(ProcessType processType, int userId) throws Exception
    Updates or creates a process type entity.
    Parameters:
      `processType` -
      `userId` -
    Throws:
      `Exception`

  - ### updateTypeProperties

    public void updateTypeProperties(ProcessType type)
    Обновляет свойства типа процесса.
    Parameters:
      `type` -

  - ### copyTypeProperties

    public void copyTypeProperties(int fromTypeId, int toTypeId) throws Exception
    Copy process type properties.
    Parameters:
      `fromTypeId` -
      `toTypeId` -
    Throws:
      `Exception`

  - ### checkProcessTypeForDelete

    public boolean checkProcessTypeForDelete(int id) throws Exception
    true если каталог пуст и можно удалять
    Parameters:
      `id` -
    Throws:
      `Exception`

  - ### deleteProcessType

    public boolean deleteProcessType(int id) throws Exception
    Удаляет тип процесса.
    Parameters:
      `id` -
    Returns:
    Throws:
      `Exception`

  - ### checkType

    public boolean checkType(int id, int parentId, String title) throws Exception
    Проверяет наличие в родительском типе дочернего с указанным названием.
    Parameters:
      `parentId` -
      `name` -
    Returns:
    Throws:
      `Exception`